import request from "@/utils/request-import-php";

/**
 * 平台列表
 * @param {*} data 
 * @returns 
 */
export function getplatlist(data) {
  return request({
    url: "plat/getplatlist",
    method: "post",
    data
  });
}

/**
 * 导入
 * @param {*} data 
 * @returns 
 */
export function uploadFile(data) {
  return request({
    url: "upload",
    method: "post",
    headers: {
      'Content-Type': 'multipart/form-data',
    },
    data
  });
}

/**
 * 导入记录
 * @param {*} data 
 * @returns 
 */
export function importlist(data) {
  return request({
    url: "plat/importlist",
    method: "post",
    data
  });
}

/**
 * 下载模板
 * @param {*} data 
 * @returns 
 */
export function downloadTemp(data) {
  return request({
    url: "plat/downloadTemp",
    method: "post",
    data
  });
}

